Bug 1821172 - Review Request: wl-gammactl - Small GTK GUI application to set contrast, brightness and gamma for wayland compositors
Summary: Review Request: wl-gammactl - Small GTK GUI application to set contrast, brig...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-06 08:45 UTC by Bob Hepple
Modified: 2020-05-14 02:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-14 02:28:48 UTC
Type: ---
vascom2: fedora-review+


Attachments (Terms of Use)

Description Bob Hepple 2020-04-06 08:45:05 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/wef/wl-gammactl/fedora-31-x86_64/01329134-wl-gammactl/wl-gammactl.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/wl-gammactl/fedora-31-x86_64/01329134-wl-gammactl/wl-gammactl-0.1-0.1.20200406git.611846c.fc31.src.rpm

Description:

Small GTK GUI application to set contrast, brightness and gamma for
wayland compositors which support the wlr-gamma-control protocol
extension. Basically this is the example from here:
https://github.com/swaywm/wlroots/blob/master/examples/gamma-control.c
with a nice little GTK GUI slapped on to it. You can set contrast,
brightness and gamma using sliders and reset back to default values.

This was made to make the process of calibrating your monitor a bit
easier, since wayland support for color profiles is not yet
implemented. When you are satisfied with your settings, copy the given
command line and execute it at startup to make the settings load at
apply on every boot.

Keep in mind that it uses the same protocol extension as the
redshift fork
https://aur.archlinux.org/packages/redshift-wlr-gamma-control/

wl-gammactl will kick out any running redshift instance and fail to
start up. On second run it should work as expected. So unfortunately
only one can run at a time (?) for now.

Fedora Account System Username: wef

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "NTP License (legal
     disclaimer)". 16 files have unknown license. Detailed output of
     licensecheck in /home/bhepple/tmp/wl-gammactl/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: wl-gammactl-0.1-0.1.20200406git.611846c.fc33.x86_64.rpm
          wl-gammactl-debuginfo-0.1-0.1.20200406git.611846c.fc33.x86_64.rpm
          wl-gammactl-debugsource-0.1-0.1.20200406git.611846c.fc33.x86_64.rpm
          wl-gammactl-0.1-0.1.20200406git.611846c.fc33.src.rpm
wl-gammactl.x86_64: W: spelling-error %description -l en_US wlr -> war, SLR
wl-gammactl.x86_64: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
wl-gammactl.x86_64: W: spelling-error %description -l en_US redshift -> red shift, red-shift, gearshift
wl-gammactl.x86_64: W: no-manual-page-for-binary wl-gammactl
wl-gammactl.src: W: spelling-error %description -l en_US wlr -> war, SLR
wl-gammactl.src: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
wl-gammactl.src: W: spelling-error %description -l en_US redshift -> red shift, red-shift, gearshift
4 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: wl-gammactl-debuginfo-0.1-0.1.20200406git.611846c.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
wl-gammactl-debuginfo.x86_64: W: invalid-url URL: https://github.com/mischw/wl-gammactl <urlopen error [Errno -2] Name or service not known>
wl-gammactl.x86_64: W: spelling-error %description -l en_US wlr -> war, SLR
wl-gammactl.x86_64: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
wl-gammactl.x86_64: W: spelling-error %description -l en_US redshift -> red shift, red-shift, gearshift
wl-gammactl.x86_64: W: invalid-url URL: https://github.com/mischw/wl-gammactl <urlopen error [Errno -2] Name or service not known>
wl-gammactl.x86_64: W: no-manual-page-for-binary wl-gammactl
wl-gammactl-debugsource.x86_64: W: invalid-url URL: https://github.com/mischw/wl-gammactl <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 7 warnings.



Source checksums
----------------
https://github.com/swaywm/wlr-protocols/archive/c11408942e2fb54d41dadb84cdf844331076ae11/wlr-protocols-c11408942e2fb54d41dadb84cdf844331076ae11.tar.gz :
  CHECKSUM(SHA256) this package     : e40da97a885299d4e633045a5c154da2470d51d42dc2b8530e96efd3fe3bf80a
  CHECKSUM(SHA256) upstream package : e40da97a885299d4e633045a5c154da2470d51d42dc2b8530e96efd3fe3bf80a
https://github.com/mischw/wl-gammactl/archive/611846ce8f5f6e7fe1afb100416cceb8af54afb2/wl-gammactl-611846ce8f5f6e7fe1afb100416cceb8af54afb2.tar.gz :
  CHECKSUM(SHA256) this package     : 34973f87d7c792de8f060afe943a8798c7776b7d2ed39177e9a0377ef5c27885
  CHECKSUM(SHA256) upstream package : 34973f87d7c792de8f060afe943a8798c7776b7d2ed39177e9a0377ef5c27885


Requires
--------
wl-gammactl (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgio-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libwayland-client.so.0()(64bit)
    rtld(GNU_HASH)

wl-gammactl-debuginfo (rpmlib, GLIBC filtered):

wl-gammactl-debugsource (rpmlib, GLIBC filtered):



Provides
--------
wl-gammactl:
    wl-gammactl
    wl-gammactl(x86-64)

wl-gammactl-debuginfo:
    debuginfo(build-id)
    wl-gammactl-debuginfo
    wl-gammactl-debuginfo(x86-64)

wl-gammactl-debugsource:
    wl-gammactl-debugsource
    wl-gammactl-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review --rpm-spec -n /home/bhepple/rpmbuild/SRPMS/wl-gammactl-0.1-0.1.20200406git.611846c.fc31.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, C/C++, Generic
Disabled plugins: Ocaml, Perl, Java, fonts, R, PHP, Haskell, SugarActivity, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Vasiliy Glazov 2020-05-04 08:28:14 UTC
You should add desktop file.

Comment 3 Artur Frenszek-Iwicki 2020-05-04 09:06:11 UTC
Both the spec and the SRPM links give me a 404 Not Found.

Comment 4 Artur Frenszek-Iwicki 2020-05-04 09:12:32 UTC
Oops, sorry, I somehow missed the second comment with new links.

>Release:  0.2.20200406git.%{shortcommit}%{?dist}
Remove the dot between "git" and the commit hash.
https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/#_snapshots

>Patch0:   wl-gammactl-remove-git.patch
The patch name is a bit confusing. Maybe add a comment above that says something like "don't use git to automatically pull wlr-protocols".

Comment 7 Vasiliy Glazov 2020-05-05 04:33:12 UTC
You should ask upstream about adding to it changes you maked in patches.

Comment 8 Vasiliy Glazov 2020-05-05 04:33:55 UTC
Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "NTP License (legal
     disclaimer)". 17 files have unknown license. Detailed output of
     licensecheck in /home/vascom/1821172-wl-gammactl/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wl-gammactl-0.1-0.4.20200406git611846c.fc33.x86_64.rpm
          wl-gammactl-debuginfo-0.1-0.4.20200406git611846c.fc33.x86_64.rpm
          wl-gammactl-debugsource-0.1-0.4.20200406git611846c.fc33.x86_64.rpm
          wl-gammactl-0.1-0.4.20200406git611846c.fc33.src.rpm
wl-gammactl.x86_64: W: spelling-error %description -l en_US wlr -> war, SLR
wl-gammactl.x86_64: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
wl-gammactl.x86_64: W: spelling-error %description -l en_US redshift -> red shift, red-shift, gearshift
wl-gammactl.x86_64: W: no-manual-page-for-binary wl-gammactl
wl-gammactl.src: W: spelling-error %description -l en_US wlr -> war, SLR
wl-gammactl.src: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
wl-gammactl.src: W: spelling-error %description -l en_US redshift -> red shift, red-shift, gearshift
4 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: wl-gammactl-debuginfo-0.1-0.4.20200406git611846c.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
wl-gammactl-debuginfo.x86_64: W: invalid-url URL: https://github.com/mischw/wl-gammactl <urlopen error [Errno -2] Name or service not known>
wl-gammactl-debugsource.x86_64: W: invalid-url URL: https://github.com/mischw/wl-gammactl <urlopen error [Errno -2] Name or service not known>
wl-gammactl.x86_64: W: spelling-error %description -l en_US wlr -> war, SLR
wl-gammactl.x86_64: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
wl-gammactl.x86_64: W: spelling-error %description -l en_US redshift -> red shift, red-shift, gearshift
wl-gammactl.x86_64: W: invalid-url URL: https://github.com/mischw/wl-gammactl <urlopen error [Errno -2] Name or service not known>
wl-gammactl.x86_64: W: no-manual-page-for-binary wl-gammactl
3 packages and 0 specfiles checked; 0 errors, 7 warnings.



Source checksums
----------------
https://github.com/swaywm/wlr-protocols/archive/c11408942e2fb54d41dadb84cdf844331076ae11/wlr-protocols-c11408942e2fb54d41dadb84cdf844331076ae11.tar.gz :
  CHECKSUM(SHA256) this package     : e40da97a885299d4e633045a5c154da2470d51d42dc2b8530e96efd3fe3bf80a
  CHECKSUM(SHA256) upstream package : e40da97a885299d4e633045a5c154da2470d51d42dc2b8530e96efd3fe3bf80a
https://github.com/mischw/wl-gammactl/archive/611846ce8f5f6e7fe1afb100416cceb8af54afb2/wl-gammactl-611846ce8f5f6e7fe1afb100416cceb8af54afb2.tar.gz :
  CHECKSUM(SHA256) this package     : 34973f87d7c792de8f060afe943a8798c7776b7d2ed39177e9a0377ef5c27885
  CHECKSUM(SHA256) upstream package : 34973f87d7c792de8f060afe943a8798c7776b7d2ed39177e9a0377ef5c27885


Requires
--------
wl-gammactl (rpmlib, GLIBC filtered):
    (sway >= 1.4 if sway)
    libc.so.6()(64bit)
    libgio-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libwayland-client.so.0()(64bit)
    rtld(GNU_HASH)

wl-gammactl-debuginfo (rpmlib, GLIBC filtered):

wl-gammactl-debugsource (rpmlib, GLIBC filtered):



Provides
--------
wl-gammactl:
    application()
    application(wl-gammactl.desktop)
    wl-gammactl
    wl-gammactl(x86-64)

wl-gammactl-debuginfo:
    debuginfo(build-id)
    wl-gammactl-debuginfo
    wl-gammactl-debuginfo(x86-64)

wl-gammactl-debugsource:
    wl-gammactl-debugsource
    wl-gammactl-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1821172
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Python, fonts, SugarActivity, PHP, Perl, Haskell, Ocaml, Java, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 9 Bob Hepple 2020-05-05 05:15:43 UTC
Thanks Vasily!

I'll request the repo now etc etc

:-)

Comment 10 Gwyn Ciesla 2020-05-05 13:01:35 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/wl-gammactl

Comment 11 Fedora Update System 2020-05-05 23:12:43 UTC
FEDORA-2020-4875486129 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4875486129

Comment 12 Fedora Update System 2020-05-05 23:21:45 UTC
FEDORA-2020-9ffbca5825 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9ffbca5825

Comment 13 Fedora Update System 2020-05-06 02:23:47 UTC
FEDORA-2020-9ffbca5825 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-9ffbca5825 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9ffbca5825

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-05-06 02:59:09 UTC
FEDORA-2020-4875486129 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-4875486129 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4875486129

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-05-14 02:28:48 UTC
FEDORA-2020-4875486129 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-05-14 02:35:54 UTC
FEDORA-2020-9ffbca5825 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.